//
//  PowerPCIQ.h
//  PowerPCIQFramework
//
//  Created by 2510 on Tue Feb 25 2003.
//  Copyright (c) 2003 by 2510. All rights reserved.
//
//  << TEXT ENCODING : UTF-8 >>
//

#import <Foundation/Foundation.h>

// コンテクストを確保
void *PowerPCIQ_alloc(void);
// 全命令を書き出し、コンテクストを初期化
void PowerPCIQ_init(void *context_void,unsigned long *buffer,int capacity);
// 全命令を書き出し、コンテクストを破棄
void PowerPCIQ_dealloc(void *context_void);

// すべての命令を書き出す
void PowerPCIQ_flushAll(void *context_void);
// これ以降の並び替えを禁止または許可
void PowerPCIQ_disable(void *context_void,BOOL disable);

// 現在のバッファを返す
unsigned long *PowerPCIQ_currentBuffer(void *context_void);
// これまでに書き込まれた命令の数を返す
unsigned PowerPCIQ_currentLength(void *context_void);
// base から予測書き込みポインタまでの距離を返す
unsigned long PowerPCIQ_distanceFrom(void *context_void,void *base);

// 全ての命令を書き出し、任意１命令を書き出す
unsigned long *PowerPCIQ_instructionSync(void *context,unsigned long instruction);