//
//  LIButton.h
//  LIFramework: LIButton
//
//  Created by 2510 on Tue Oct 29 2002.
//  Copyright (c) 2002 by 2510. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "LIProtocol.h"

@interface LIButton : NSButton <NSCoding, LIObject>
{
	@protected
		int						bundleType;
		NSString				*bundleClassName;
		NSString				*table;
		
		NSButtonType			buttonType;
}
- (void)setButtonType:(NSButtonType)aType;
- (NSButtonType)buttonType;

// Protocol <LILocalizable>
- (void)localize;

- (void)setBundleType:(int)aBundleType;
- (int)bundleType;
- (void)setBundleClassName:(NSString *)aClassName;
- (NSString *)bundleClassName;
- (void)setTable:(NSString *)aTable;
- (NSString *)table;
@end
